curl --request PUT \
--url https://api.hubapi.com/crm/lists/2026-09-beta/{listId}/update-list-filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ALL",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ANY",
"filterBranches": [
"<unknown>"
],
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
}
'import requests
url = "https://api.hubapi.com/crm/lists/2026-09-beta/{listId}/update-list-filters"
payload = { "filterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ALL",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ANY",
"filterBranches": ["<unknown>"],
"filters": ["<unknown>"]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": True,
"operationType": "BOOL",
"operator": "<string>",
"value": True
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": True,
"operationType": "BOOL",
"operator": "<string>",
"value": True
},
"property": "<string>"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filterBranch: {
filterBranchOperator: '<string>',
filterBranchType: 'OR',
filterBranches: [
{
filterBranchOperator: '<string>',
filterBranchType: 'AND',
filterBranches: [
{
filterBranchOperator: '<string>',
filterBranchType: 'NOT_ALL',
filterBranches: [
{
filterBranchOperator: '<string>',
filterBranchType: 'NOT_ANY',
filterBranches: ['<unknown>'],
filters: ['<unknown>']
}
],
filters: [{filterType: 'PROPERTY', operation: '<unknown>', property: '<string>'}]
}
],
filters: [
{
filterType: 'PROPERTY',
operation: {
includeObjectsWithNoValueSet: true,
operationType: 'BOOL',
operator: '<string>',
value: true
},
property: '<string>'
}
]
}
],
filters: [
{
filterType: 'PROPERTY',
operation: {
includeObjectsWithNoValueSet: true,
operationType: 'BOOL',
operator: '<string>',
value: true
},
property: '<string>'
}
]
}
})
};
fetch('https://api.hubapi.com/crm/lists/2026-09-beta/{listId}/update-list-filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedList": {
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ALL",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ANY",
"filterBranches": [
"<unknown>"
],
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"listPermissions": {
"teamsWithEditAccess": [
123
],
"usersWithEditAccess": [
123
]
},
"membershipSettings": {
"includeUnassigned": true,
"membershipTeamId": 123
},
"size": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update list filters
Update the filters for a specific list in your HubSpot account. This operation allows you to modify the criteria used to include objects in the list. You can also specify whether objects should be enrolled in workflows based on the updated filters.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the list whose filters are to be updated.
Query Parameters
A boolean indicating whether to enroll objects in workflows based on the updated filters. Defaults to false.
Body
A complex object that defines the structure and logic of the filters to be applied to the list. It can include various types of filter branches and filters, allowing for detailed and specific filtering criteria.
- OR
- AND
- NOT_ALL
- NOT_ANY
- RESTRICTED
- UNIFIED_EVENTS
- ASSOCIATION
Show child attributes
Show child attributes
Response
successful operation
Show child attributes
Show child attributes
Was this page helpful?